//----------------------------------------------------------------------
// runserver.js
// Author: Bob Dondero
//----------------------------------------------------------------------

const penny = require('./penny.js');

function main() {

   if (process.argv.length !== 3) {
      process.stderr.write('Usage: node penny.js port\n');
      process.exit(1);
   }

   let port = process.argv[2];

   penny.app.listen(port,
      () => {
         process.stdout.write('Listening at port ' + port + '\n');
      }
   );
}

if (require.main === module)
   main();
