//----------------------------------------------------------------------
// IndexServlet.java
// Author: Bob Dondero
//----------------------------------------------------------------------

package edu.princeton.penny;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import java.net.URL;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.PrintWriter;

public class IndexServlet extends HttpServlet
{
   protected void doGet(HttpServletRequest request,
      HttpServletResponse response)
      throws ServletException, IOException
   {

      //RequestDispatcher requestDispatcher =
      //   request.getRequestDispatcher("/index.html");
      //requestDispatcher.forward(request, response);

      response.setContentType("text/html");
      ClassLoader classLoader = IndexServlet.class.getClassLoader();
      URL resource = classLoader.getResource("index.html");
      String fileName = resource.getFile();
      BufferedReader reader = new BufferedReader(
         new FileReader(fileName));
      PrintWriter writer = response.getWriter();
      String line;
      while ((line = reader.readLine()) != null)
         writer.println(line);
   }
}
