package edu.princeton.penny;

import java.util.ArrayList;

import jakarta.servlet.http.HttpServletResponse;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.RequestParam;

@RestController
public class PennyController {

   @GetMapping("/searchresults")
   public ArrayList<Book> searchResults(
      @RequestParam(defaultValue="") String author,
      HttpServletResponse res)
   {
      ArrayList<Book> books;

      author = author.trim();
      if (author.equals(""))
         books = new ArrayList<Book>();
      else
         try
         {
            books = Database.getBooks(author);
         }
         catch (Exception e)
         {
            // Database exception handling omitted.
            return null;
         }

      return books;
   }
}
